import React from "react";
import { Views } from "@react-fullstack/fullstack/lib/Views";
import SocketIO from "socket.io";
interface Props<ViewsInterface extends Views> {
    port: number;
    children: () => JSX.Element;
    views: ViewsInterface;
}
declare class Server<ViewsInterface extends Views> extends React.Component<Props<ViewsInterface>> {
    server?: SocketIO.Server;
    componentDidMount: () => void;
    render: () => JSX.Element;
}
export { Server };
